<?php
/**
 * Created by IntelliJ IDEA.
 * User: hashlu
 * Date: 11/21/18
 * Time: 2:12 PM
 */

namespace Services\Lightspeed\Controllers;


use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Services\common\Events\AccessTokenRetrieved;
use Services\common\oath\AccessToken;
use Services\Lightspeed\api\LightspeedOauth;
use Services\Lightspeed\LightspeedServiceConfig;

class OAuthController
{
    private $client;
    private $config;

    /**
     *
     * OAuthController constructor.
     * @param LightspeedOauth $client
     * @param LightspeedServiceConfig $config
     */
    public function __construct(LightspeedOauth $client, LightspeedServiceConfig $config)
    {
        $this->client = $client;
        $this->config = $config;
    }

    public function complete(Request $request)
    {
        $token = $this->client->retrieveAccessTokenWithCode($request->query('code'));
        event(new AccessTokenRetrieved(new AccessToken($token), 'Lightspeed', Auth::id()));
        return redirect($this->config->afterAuthRedirect());
    }
}
