<?php
/**
 * Created by IntelliJ IDEA.
 * User: hashlu
 * Date: 11/21/18
 * Time: 2:14 PM
 */

namespace Services\Lightspeed;


use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;
use Services\Lightspeed\api\LightspeedOauth;
use Services\Lightspeed\api\MOSAPI;
use Services\Lightspeed\api\RestClient;

class LightspeedServiceProvider extends ServiceProvider
{

    public function boot()
    {
        View::addNamespace('Lightspeed', base_path('/Services/Lightspeed/views/'));
    }

    public function register()
    {
        $this->app->singleton(LightspeedOauth::class, function ($app) {
            return new LightspeedOauth(['client_id' => config('integrations.lightspeed.oauth.key'),
                'client_secret' => config('integrations.lightspeed.oauth.secret'),
                'redirect_uri' => config('integrations.lightspeed.oauth.redirect_uri'),
                'scopes' => config('integrations.lightspeed.oauth.scopes')]);
        });
    }
}
