<?php
/**
 * Created by IntelliJ IDEA.
 * User: hashlu
 * Date: 2/8/19
 * Time: 4:39 PM
 */

namespace Services\Lightspeed\Middleware;


use App\Models\UserApiCredentials;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Auth;
use mattanger\API\Lightspeed\ApiCredentials;
use Services\Lightspeed\api\LightspeedOauth;

class LightspeedAccessTokenLoader
{
    private $provider;
    public function __construct(LightspeedOauth $lightspeedOauth)
    {
        $this->provider = $lightspeedOauth;
    }

    public function handle(Request $request, \Closure $next)
    {
        if (Auth::check()) {
            if ($request->session()->has('ls_auth_token')) {
                $this->provider->setAccessToken($request->session()->get('ls_auth_token'));
                if ($request->session()->has('ls_auth_needed') && $request->session()->get('ls_auth_needed'))
                    $request->session()->put('ls_auth_needed', false);
            } else {
                if (!$request->session()->has('ls_auth_needed')) {
                    $request->session()->put('ls_auth_needed', true);
                }
            }

        }

        return $next($request);
    }
}
