<?php


namespace Services\Lightspeed\api;


class SaleApi extends RestClient
{
    public function getSale($saleId, $params = [], $asArray = true)
    {
        $response = $this->get('Sale/' . $saleId, [
            'query' => $params
        ]);
        return json_decode($response->getBody(), $asArray);
    }

    public function getSales($params = [], $asArray = false)
    {
        $response = $this->get('Sale', [
            'query' => $params
        ]);
        return json_decode($response->getBody(), $asArray);
    }

    public function getAllSales() {
        return $this->getAll('Sale');
    }

    public function walkSales(\Closure $callback) {
        $this->walkAll('Sale', $callback);
    }

    public function getSaleLine($saleLineId, $params = [], $asArray = true) {
        $response = $this->get('SaleLine/' . $saleLineId, [
            'query' => $params
        ]);
        return json_decode($response->getBody(), $asArray);
    }
}
