<?php
/**
 * Created by IntelliJ IDEA.
 * User: hashlu
 * Date: 2/28/19
 * Time: 11:05 AM
 */

namespace Services\Lightspeed\api;


use phpDocumentor\Reflection\Types\Callable_;

class WorkorderApi extends RestClient
{

    public function getWorkorders($params = [], $asArray = false)
    {
        $response = $this->get('Workorder', [
            'query' => $params
        ]);
        return json_decode($response->getBody(), $asArray);
    }

    public function getAllWorkorders() {
        $workordersList = [];
        $response = $this->getWorkorders(['load_relations' => 'all']);
        if (!array_key_exists('Workorder', $response))
            return $workordersList;
        $count = intval($response["@attributes"]['count']);
        $offset = intval($response["@attributes"]['offset']);
        while ($offset <= $count) {
            $offset += 100;
            $response = $this->getWorkorders([
                'offset' => $offset,
                'limit' => 100,
                'load_relations' => 'all'
            ]);
            if (!array_key_exists('Workorder', $response)) continue;
            if (is_array($response['Workorder'])) {
                $workordersList = array_merge($workordersList, $response['Workorder']);
            } else {
                $workordersList[] = $response['Workorder'];
            }
        }
        return $workordersList;
    }

    public function stepWorkorders(\Closure $callback) {
        $response = $this->getWorkorders(['load_relations' => 'all']);
        if (!property_exists($response, 'Workorder')) {
            return;
        } else {
            $callback($response->{'Workorder'});
        }
        $count = intval($response->{"@attributes"}->{'count'});
        $offset = intval($response->{"@attributes"}->{'offset'});
        while ($offset <= $count) {
            $offset += 100;
            $response = $this->getWorkorders([
                'offset' => $offset,
                'limit' => 100,
                'load_relations' => 'all'
            ]);
            if (!property_exists ($response, 'Workorder')) continue;
            if (is_array($response->Workorder)) {
                $callback($response->{'Workorder'});
            } else {
                $callback([$response->{'Workorder'}]);
            }
        }
    }

    public function getWorkorderItem($woItemID, $params, $asArray = false) {
        $response = $this->get('WorkorderItem/' . $woItemID, [
            'query' => $params
        ]);
        return json_decode($response->getBody(), $asArray);
    }

    public function getWorkorder($workorderId, $asArray = false)
    {
        $response = $this->get('Workorder', [
            'query' => [
                'workorderID' => $workorderId,
            ]
        ]);
        return json_decode($response->getBody(), $asArray);
    }

    public function getWorkorderStatuses($params = [], $asArray = false) {
        $response = $this->get('WorkorderStatus', [
            'query' => $params,
        ]);
        return json_decode($response->getBody(), $asArray);
    }
}
