<?php
/**
 * Created by IntelliJ IDEA.
 * User: hashlu
 * Date: 3/18/19
 * Time: 6:40 PM
 */

namespace Services\Zoho;


use GuzzleHttp\Exception\RequestException;
use GuzzleHttp\Psr7\Request;
use GuzzleHttp\Psr7\Response;
use Illuminate\Support\Facades\Log;

class RateLimit
{
    const MAX_PER_MIN = 50;
    const MAX_RETRY = 2;
    private $requestCount;
    private $lastRequestTime;

    public function __construct()
    {
        $this->requestCount = 0;
    }

    public function __invoke()
    {
        return function ($retries,
                         Request $request,
                         Response $response = null,
                         RequestException $exception = null) {

            if ($retries == 2) {
                Log::error("Zoho retry limit reached");
                return false;
            }

            if ($response->getStatusCode() == 429) {
                Log::info("Zoho rate limit reached sleeping 60 seconds");
                error_log("Zoho rate limit reached sleeping 60 seconds");
                sleep(60);
            }


            $this->requestCount++;
            $this->lastRequestTime = time();
            return false;
        };
    }
}
