<?php

namespace App\Console\Commands;


use Illuminate\Console\Command;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class GenerateAllModels extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'krlove:generate:all-models';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Generate all models';

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $tables = DB::select("select table_name from information_schema.tables where table_schema = 'public'; ");
//        $databaseName = config('database.connections.'.config('database.default').'.database');
//        $tables = collect($tables);
        foreach($tables as $table)
        {
            if($table->table_name === 'migrations') continue;
//            $className = Str::singular($table);
            $className = Str::ucfirst( Str::camel($table->table_name));
            Artisan::call('krlove:generate:model', ['class-name' => $className, '--table-name' => $table->table_name]);
        }
    }
}
