<?php

namespace App\Console\Commands;

use App\Database\LightspeedDataImporter;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

class ImportEmployees extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'import:employees {--update} {--minutes=} {--archived}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle(LightspeedDataImporter $lightspeedDataImporter)
    {
        Log::info("starting employees import");
        $params = $this->option('archived') ? ['archived' => 'true'] : [];
        $lightspeedDataImporter->importEmployees($this->option('update'), 10, $params);
        return 0;
    }
}
