<?php

namespace App\Console\Commands;

use App\Database\LightspeedDataImporter;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

class ImportOrders extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'import:orders {--update} {--minutes=}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle(LightspeedDataImporter $syncLightspeedData)
    {
        Log::info("Starting orders import");
        $syncLightspeedData->importOrders($this->option('update'));
        return 0;
    }
}
