<?php

namespace App\Console\Commands;

use App\Database\LightspeedDataImporter;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

class ImportWorkorders extends Command
{
    /**
     * The signature of the ipmort
     * last test
     *
     * @var string
     */
    protected $signature = 'import:workorders {--update} {--minutes=}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Imports & updates workorder data';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * @param LightspeedDataImporter $syncLightspeedData
     * @return int
     */
    public function handle(LightspeedDataImporter $syncLightspeedData)
    {
        Log::info("Starting workorder import");
        $syncLightspeedData->importWorkorders($this->option('update'), $this->option('minutes'));
        return 0;
    }
}
