<?php

namespace App\Console\Commands;

use App\Integrations\LsRetailToZoho\WorkorderDataSyncronizor;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Storage;
use Services\Lightspeed\api\LightspeedOauth;

class UpdateZohoWorkorders extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'sync:workorders {type}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';
    private $provider;
    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $sync = new WorkorderDataSyncronizor('arctic_spas', config('integrations.zoho.api_token'), 'mikesigvaldason');
        $this->info(sprintf("Starting full sync for %s, at %s", 'arctic_spas', date("Y-m-d h:m:i")));
        $arg = $this->argument('type');
        if ($arg == 'full') {
            $sync->fullSync();
        } else if ($arg == 'inc') {
            $sync->incrementalSync();
        } else if ($arg == 'custSku') {
            $sync->updateCustomSkus();
        } else if ($arg == 'employee') {
            $sync->updateEmployeeNames();
        }
        $this->info(sprintf("Finished full sync for %s, at %s", 'arctic_spas', date("Y-m-d h:m:i")));
    }
}
