<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        $schedule->command('import:workorders --update')->cron('* * * * *')->withoutOverlapping(5);
        $schedule->command('import:items --update')->cron('*/5 * * * *')->withoutOverlapping(5);
        $schedule->command('import:sales --update')->cron('*/5 * * * *')->withoutOverlapping(5);
        $schedule->command('import:inventory --update --minutes=1440')->cron('0 22 * * *')->withoutOverlapping();
        $schedule->command('import:orders --update --minutes=90')->cron('0 * * * *')->withoutOverlapping();
        $schedule->command('import:employees')->cron('45 22 * * *')->withoutOverlapping();
        $schedule->command('import:employee-hours --update --minutes=90 --field=checkOut')->cron('5 *  * * *')->withoutOverlapping();
        $schedule->command('import:employee-hours --update --minutes=90 --field=checkIn')->cron('0 * * * *')->withoutOverlapping();
        $schedule->command('import:customers --update --minutes=10')->cron('*/5 * * * *')->withoutOverlapping();
        $schedule->command('import:serialized --update')->cron('*/5 * * * *')->withoutOverlapping();
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
