<?php
/**
 * Created by IntelliJ IDEA.
 * User: hashlu
 * Date: 8/14/18
 * Time: 10:01 AM
 */

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Storage;
use mattanger\Flash\FlashMessage;
use Services\Lightspeed\api\LightspeedOauth;
use Services\Lightspeed\api\RestClient;

class LightspeedOauthController extends Controller
{

    use FlashMessage;
    private $oAuth;
    private $client;


    public function __construct(LightspeedOauth $auth, RestClient $restClient)
    {
//        $this->middleware('auth');
        $this->oAuth = $auth;
//        $this->oAuth->addScope(['employee:all']);
        $this->client = $restClient;
    }

    public function authenticate() {
        session(['redirect_after_auth' => '/']);
        return redirect($this->oAuth->getAuthenticationUrl());
    }

    public function complete(Request $request)
    {
        $token = $this->oAuth->retrieveAccessTokenWithCode($request->query('code'));
        Storage::put('access_token.json', json_encode($token));
        // todo: make this robust.
        $account = $this->client->getAccount();
        $this->flash('success|You\'ve successfully authenticated with Lightspeed Retail!');
        return redirect(session('redirect_after_auth'));
    }

}
