<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $catalogVendorItemID
 * @property string $vendorNumber
 * @property string $description
 * @property string $category
 * @property string $model
 * @property int $retailUnit
 * @property string $unitOfMeasurement
 * @property float $cost
 * @property float $costLevel2
 * @property float $costLevel3
 * @property float $costLevel4
 * @property float $msrp
 * @property int $breakQty
 * @property float $breakPrice
 * @property string $manufacturerNumber
 * @property string $brand
 * @property string $lastPriceChange
 * @property string $upc
 * @property string $ean
 * @property string $ean2
 * @property string $status
 * @property string $year
 * @property string $replacement
 * @property string $replacementDescription
 * @property int $breakQty2
 * @property float $breakPrice2
 * @property int $breakQty3
 * @property float $breakPrice3
 * @property string $colorName
 * @property string $sizeName
 * @property boolean $archived
 * @property int $lastQoh
 * @property int $catalogVendorID
 * @property string $created_at
 * @property string $updated_at
 */
class CatalogVendorItem extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'catalog_vendor_item';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'catalogVendorItemID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['catalogVendorItemID', 'vendorNumber', 'description', 'category', 'model', 'retailUnit', 'unitOfMeasurement', 'cost', 'costLevel2', 'costLevel3', 'costLevel4', 'msrp', 'breakQty', 'breakPrice', 'manufacturerNumber', 'brand', 'lastPriceChange', 'upc', 'ean', 'ean2', 'status', 'year', 'replacement', 'replacementDescription', 'breakQty2', 'breakPrice2', 'breakQty3', 'breakPrice3', 'colorName', 'sizeName', 'archived', 'lastQoh', 'catalogVendorID', 'created_at', 'updated_at'];

}
