<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $categoryID
 * @property string $name
 * @property string $nodeDepth
 * @property string $fullPathName
 * @property int $leftNode
 * @property int $rightNode
 * @property string $createTime
 * @property string $timeStamp
 * @property int $parentID
 * @property string $created_at
 * @property string $updated_at
 */
class Category extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'category';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'categoryID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['categoryID', 'name', 'nodeDepth', 'fullPathName', 'leftNode', 'rightNode', 'createTime', 'timeStamp', 'parentID', 'created_at', 'updated_at'];

}
