<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $customerID
 * @property string $firstName
 * @property string $lastName
 * @property string $dob
 * @property boolean $archived
 * @property string $title
 * @property string $company
 * @property string $companyRegistrationNumber
 * @property string $vatNumber
 * @property string $createTime
 * @property string $timeStamp
 * @property int $creditAccountID
 * @property int $customerTypeID
 * @property int $discountID
 * @property int $taxCategoryID
 * @property string $created_at
 * @property string $updated_at
 */
class Customer extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'customer';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'customerID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['customerID', 'firstName', 'lastName', 'dob', 'archived', 'title', 'company', 'companyRegistrationNumber', 'vatNumber', 'createTime', 'timeStamp', 'creditAccountID', 'customerTypeID', 'discountID', 'taxCategoryID', 'created_at', 'updated_at'];

    protected $casts = [
        'archived' => 'boolean',
        'dob' => 'datetime',
        'createTime' => 'datetime',
        'timeStamp' => 'datetime',
    ];
}
