<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $customerTypeID
 * @property string $name
 * @property int $taxCategoryID
 * @property int $discountID
 * @property string $created_at
 * @property string $updated_at
 */
class CustomerType extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'customer_type';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'customerTypeID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['customerTypeID', 'name', 'taxCategoryID', 'discountID', 'created_at', 'updated_at'];

}
