<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $discountID
 * @property string $name
 * @property float $discountAmount
 * @property float $discountPercent
 * @property boolean $requireCustomer
 * @property boolean $archived
 * @property string $timeStamp
 * @property string $created_at
 * @property string $updated_at
 */
class Discount extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'discount';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'discountID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['discountID', 'name', 'discountAmount', 'discountPercent', 'requireCustomer', 'archived', 'timeStamp', 'created_at', 'updated_at'];

}
