<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $employeeID
 * @property string $firstName
 * @property string $lastName
 * @property boolean $lockOut
 * @property boolean $archived
 * @property int $contactID
 * @property int $clockInEmployeeHoursID
 * @property int $employeeRoleID
 * @property int $limitToShopID
 * @property int $lastShopID
 * @property int $lastSaleID
 * @property int $lastRegisterID
 * @property string $created_at
 * @property string $updated_at
 */
class Employee extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'employee';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'employeeID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['employeeID', 'firstName', 'lastName', 'lockOut', 'archived', 'contactID', 'clockInEmployeeHoursID', 'employeeRoleID', 'limitToShopID', 'lastShopID', 'lastSaleID', 'lastRegisterID', 'created_at', 'updated_at'];

    protected $casts = [
        'lockOut' => 'boolean',
        'archived' => 'boolean',
    ];
}
