<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $employeeHoursID
 * @property string $checkIn
 * @property string $checkOut
 * @property int $employeeID
 * @property int $shopID
 * @property string $created_at
 * @property string $updated_at
 */
class EmployeeHours extends Model
{
    use AttributeCreate;
    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'employeeHoursID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['employeeHoursID', 'checkIn', 'checkOut', 'employeeID', 'shopID', 'created_at', 'updated_at'];

    protected $casts = [
        'checkIn' => 'datetime',
        'checkOut' => 'datetime',
    ];
}
