<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $inventoryCountID
 * @property string $name
 * @property string $timeStamp
 * @property boolean $archived
 * @property int $shopID
 * @property string $created_at
 * @property string $updated_at
 */
class InventoryCount extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'inventory_count';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'inventoryCountID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['inventoryCountID', 'name', 'timeStamp', 'archived', 'shopID', 'created_at', 'updated_at'];

}
