<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $inventoryCountCalcID
 * @property string $timeStamp
 * @property int $calcQoh
 * @property int $countedQoh
 * @property int $inventoryCountID
 * @property int $itemID
 * @property string $created_at
 * @property string $updated_at
 */
class InventoryCountCalc extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'inventory_count_calc';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'inventoryCountCalcID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['inventoryCountCalcID', 'timeStamp', 'calcQoh', 'countedQoh', 'inventoryCountID', 'itemID', 'created_at', 'updated_at'];

}
