<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $inventoryCountItemID
 * @property int $qty
 * @property string $timeStamp
 * @property int $inventoryCountID
 * @property int $itemID
 * @property int $employeeID
 * @property string $created_at
 * @property string $updated_at
 */
class InventoryCountItem extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'inventory_count_item';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'inventoryCountItemID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['inventoryCountItemID', 'qty', 'timeStamp', 'inventoryCountID', 'itemID', 'employeeID', 'created_at', 'updated_at'];

}
