<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $inventoryCountReconcileID
 * @property string $createTime
 * @property float $costChange
 * @property int $qohChange
 * @property int $inventoryCountID
 * @property int $itemID
 * @property string $created_at
 * @property string $updated_at
 */
class InventoryCountReconcile extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'inventory_count_reconcile';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'inventoryCountReconcileID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['inventoryCountReconcileID', 'createTime', 'costChange', 'qohChange', 'inventoryCountID', 'itemID', 'created_at', 'updated_at'];

}
