<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $transferID
 * @property string $note
 * @property boolean $archived
 * @property string $timeStamp
 * @property string $createTime
 * @property string $status
 * @property string $sentOn
 * @property string $needBy
 * @property int $sendingShopID
 * @property int $sentByEmployeeID
 * @property int $receivingShopID
 * @property string $created_at
 * @property string $updated_at
 */
class InventoryTransfer extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'inventory_transfer';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'transferID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['transferID', 'note', 'archived', 'timeStamp', 'createTime', 'status', 'sentOn', 'needBy', 'sendingShopID', 'sentByEmployeeID', 'receivingShopID', 'created_at', 'updated_at'];

}
