<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $itemID
 * @property integer $systemSku
 * @property float $defaultCost
 * @property float $avgCost
 * @property boolean $tax
 * @property boolean $archived
 * @property boolean $discountable
 * @property string $itemType
 * @property boolean $serialized
 * @property string $description
 * @property int $modelYear
 * @property string $upc
 * @property string $ean
 * @property string $customSku
 * @property string $manufacturerSku
 * @property string $timeStamp
 * @property string $createTime
 * @property boolean $publishToEcom
 * @property int $categoryID
 * @property int $taxClassID
 * @property int $departmentID
 * @property int $itemMatrixID
 * @property int $manufacturerID
 * @property int $seasonID
 * @property int $defaultVendorID
 * @property string $created_at
 * @property string $updated_at
 */
class Item extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'item';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'itemID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['itemID', 'systemSku', 'defaultCost', 'avgCost', 'tax', 'archived', 'discountable', 'itemType', 'serialized', 'description', 'modelYear', 'upc', 'ean', 'customSku', 'manufacturerSku', 'timeStamp', 'createTime', 'publishToEcom', 'categoryID', 'taxClassID', 'departmentID', 'itemMatrixID', 'manufacturerID', 'seasonID', 'defaultVendorID', 'created_at', 'updated_at'];


    protected $casts = [
        'tax' => 'boolean',
        'archived' => 'boolean',
        'discountable' => 'boolean',
        'serialized' => 'boolean',
        'timeStamp' => 'datetime',
        'createTime' => 'datetime',
    ];
}
