<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $itemAttributeSetID
 * @property string $name
 * @property string $attributeName1
 * @property string $attributeName2
 * @property string $attributeName3
 * @property string $created_at
 * @property string $updated_at
 */
class ItemAttributeSet extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'item_attribute_set';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'itemAttributeSetID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['itemAttributeSetID', 'name', 'attributeName1', 'attributeName2', 'attributeName3', 'created_at', 'updated_at'];

}
