<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $itemComponentID
 * @property int $quantity
 * @property int $componentGroup
 * @property int $assemblyID
 * @property int $componentItemID
 * @property string $created_at
 * @property string $updated_at
 */
class ItemComponent extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'item_component';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'itemComponentID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['itemComponentID', 'assemblyItemID', 'quantity', 'componentGroup',  'componentItemID', 'created_at', 'updated_at'];

}
