<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use App\Models\Traits\HasCompositePrimaryKey;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $itemID
 * @property float $amount
 * @property string $useType
 * @property int $useTypeID
 * @property string $created_at
 * @property string $updated_at
 */
class ItemPrice extends Model
{
    use AttributeCreate,
        HasCompositePrimaryKey;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'item_price';

    protected $primaryKey = ['itemID', 'useType'];

    public $incrementing = false;
    /**
     * @var array
     */
    protected $fillable = ['itemID', 'amount', 'useType', 'useTypeID', 'created_at', 'updated_at'];

}
