<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $itemShopID
 * @property int $qoh
 * @property int $backorder
 * @property int $componentQoh
 * @property int $componentBackorder
 * @property int $reorderPoint
 * @property int $reorderLevel
 * @property string $timeStamp
 * @property int $itemID
 * @property int $shopID
 * @property string $created_at
 * @property string $updated_at
 */
class ItemShop extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'item_shop';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'itemShopID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['itemShopID', 'sellable', 'qoh', 'backorder', 'componentQoh', 'componentBackorder', 'reorderPoint', 'reorderLevel', 'timeStamp', 'itemID', 'shopID', 'created_at', 'updated_at'];

    protected $casts = [
        'timeStamp' => 'datetime'
    ];
}
