<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $itemVendorNumID
 * @property string $value
 * @property int $itemID
 * @property int $vendorID
 * @property string $timeStamp
 * @property string $created_at
 * @property string $updated_at
 */
class ItemVendorNum extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'item_vendor_num';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'itemVendorNumID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['itemVendorNumID', 'value', 'itemID', 'vendorID', 'timeStamp', 'created_at', 'updated_at'];

    protected $casts = [
        'timeStamp' => 'datetime'
    ];
}
