<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use App\Models\Traits\HasCompositePrimaryKey;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $noteID
 * @property string $note
 * @property boolean $isPublic
 * @property string $timeStamp
 * @property string $created_at
 * @property string $updated_at
 */
class Note extends Model
{
    use AttributeCreate, HasCompositePrimaryKey;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'note';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = ['objectID', 'objectType'];

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['note', 'objectID', 'objectType', 'isPublic', 'timeStamp', 'created_at', 'updated_at'];

    protected $casts = [
        'isPublic' => 'boolean',
        'timeStamp' => 'datetime',
    ];
}
