<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $orderLineID
 * @property int $quantity
 * @property float $price
 * @property float $originalPrice
 * @property int $checkedIn
 * @property int $numReceived
 * @property int $orderID
 * @property int $itemID
 * @property string $timeStamp
 * @property float $total
 * @property string $created_at
 * @property string $updated_at
 */
class OrderLine extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'order_line';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'orderLineID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['orderLineID', 'quantity', 'price', 'originalPrice', 'checkedIn', 'numReceived', 'orderID', 'itemID', 'timeStamp', 'total', 'created_at', 'updated_at'];

    protected $casts = [
          'timeStamp' => 'datetime',
    ];
}
