<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $paymentTypeID
 * @property string $name
 * @property boolean $requireCustomer
 * @property boolean $archived
 * @property boolean $internalReserved
 * @property string $type
 * @property int $refundAsPaymentTypeID
 * @property string $created_at
 * @property string $updated_at
 */
class PaymentType extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'payment_type';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'paymentTypeID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['paymentTypeID', 'name', 'requireCustomer', 'archived', 'internalReserved', 'type', 'refundAsPaymentTypeID', 'created_at', 'updated_at'];

}
