<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $priceLevelID
 * @property string $name
 * @property boolean $archived
 * @property boolean $canBeArchived
 * @property string $type
 * @property string $created_at
 * @property string $updated_at
 */
class PriceLevel extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'price_level';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'priceLevelID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['priceLevelID', 'name', 'archived', 'canBeArchived', 'type', 'created_at', 'updated_at'];

}
