<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $registerID
 * @property string $name
 * @property boolean $open
 * @property string $openTime
 * @property int $openEmployeeID
 * @property int $shopID
 * @property string $created_at
 * @property string $updated_at
 */
class Register extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'register';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'registerID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['registerID', 'name', 'open', 'openTime', 'openEmployeeID', 'shopID', 'created_at', 'updated_at'];

}
