<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $registerCountID
 * @property string $createTime
 * @property string $openTime
 * @property string $notes
 * @property int $registerID
 * @property int $openEmployeeID
 * @property int $closeEmployeeID
 * @property string $created_at
 * @property string $updated_at
 */
class RegisterCount extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'register_count';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'registerCountID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['registerCountID', 'createTime', 'openTime', 'notes', 'registerID', 'openEmployeeID', 'closeEmployeeID', 'created_at', 'updated_at'];

}
