<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $saleID
 * @property string $timeStamp
 * @property float $discountPercent
 * @property boolean $completed
 * @property boolean $archived
 * @property boolean $voided
 * @property boolean $enablePromotions
 * @property string $createTime
 * @property string $updateTime
 * @property string $completeTime
 * @property string $referenceNumber
 * @property string $referenceNumberSource
 * @property float $tax1Rate
 * @property float $tax2Rate
 * @property float $change
 * @property float $calcDiscount
 * @property float $calcTotal
 * @property float $calcSubtotal
 * @property float $calcTaxable
 * @property float $calcNonTaxable
 * @property float $calcAvgCost
 * @property float $calcFIFOCost
 * @property float $calcTax1
 * @property float $calcTax2
 * @property float $calcPayments
 * @property float $total
 * @property float $totalDue
 * @property float $displayableTotal
 * @property float $balance
 * @property int $customerID
 * @property int $discountID
 * @property int $employeeID
 * @property int $quoteID
 * @property int $registerID
 * @property int $shipToID
 * @property int $shopID
 * @property int $taxCategoryID
 * @property int $noteID
 * @property string $created_at
 * @property string $updated_at
 */
class Sale extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'sale';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'saleID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['saleID', 'timeStamp', 'discountPercent', 'completed', 'archived', 'voided', 'enablePromotions', 'createTime', 'updateTime', 'completeTime', 'referenceNumber', 'referenceNumberSource', 'tax1Rate', 'tax2Rate', 'change', 'calcDiscount', 'calcTotal', 'calcSubtotal', 'calcTaxable', 'calcNonTaxable', 'calcAvgCost', 'calcFIFOCost', 'calcTax1', 'calcTax2', 'calcPayments', 'total', 'totalDue', 'displayableTotal', 'balance', 'customerID', 'discountID', 'employeeID', 'quoteID', 'registerID', 'shipToID', 'shopID', 'taxCategoryID', 'noteID', 'created_at', 'updated_at'];

    protected $casts = [
        'timeStamp' => 'datetime',
        'completed' => 'boolean',
        'archived' => 'boolean',
        'voided' => 'boolean',
        'enablePromotions' => 'boolean',
        'createTime' => 'datetime',
        'updateTime' => 'datetime',
        'completeTime' => 'datetime',
    ];
}
