<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $saleAccountID
 * @property int $creditAccountID
 * @property int $salePaymentID
 * @property int $saleLineID
 * @property string $created_at
 * @property string $updated_at
 */
class SaleAccount extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'sale_account';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'saleAccountID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['saleAccountID', 'creditAccountID', 'salePaymentID', 'saleLineID', 'created_at', 'updated_at'];

}
