<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $saleLineID
 * @property string $createTime
 * @property string $timeStamp
 * @property int $unitQuantity
 * @property float $unitPrice
 * @property float $normalUnitPrice
 * @property float $discountAmount
 * @property float $discountPercent
 * @property float $avgCost
 * @property float $fifoCost
 * @property float $tax
 * @property float $tax1Rate
 * @property float $tax2Rate
 * @property boolean $isLayaway
 * @property boolean $isWorkorder
 * @property boolean $isSpecialOrder
 * @property string $sortorder
 * @property int $onCompletedTrans
 * @property float $displayableSubtotal
 * @property float $displayableUnitPrice
 * @property float $calcLineDiscount
 * @property float $calcTransactionDiscount
 * @property float $calcTotal
 * @property float $calcSubtotal
 * @property float $calcTax1
 * @property float $calcTax2
 * @property int $taxClassID
 * @property int $customerID
 * @property int $discountID
 * @property int $employeeID
 * @property int $itemID
 * @property int $noteID
 * @property int $parentSaleLineID
 * @property int $priceRuleID
 * @property int $shopID
 * @property int $taxCategoryID
 * @property int $saleID
 * @property string $created_at
 * @property string $updated_at
 */
class SaleLine extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'sale_line';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'saleLineID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['saleLineID', 'createTime', 'timeStamp', 'unitQuantity', 'unitPrice', 'normalUnitPrice', 'discountAmount', 'discountPercent', 'avgCost', 'fifoCost', 'tax', 'tax1Rate', 'tax2Rate', 'isLayaway', 'isWorkorder', 'isSpecialOrder', 'sortorder', 'onCompletedTrans', 'displayableSubtotal', 'displayableUnitPrice', 'calcLineDiscount', 'calcTransactionDiscount', 'calcTotal', 'calcSubtotal', 'calcTax1', 'calcTax2', 'taxClassID', 'customerID', 'discountID', 'employeeID', 'itemID', 'noteID', 'parentSaleLineID', 'priceRuleID', 'shopID', 'taxCategoryID', 'saleID', 'created_at', 'updated_at'];

    protected $casts = [
        'unitPrice' => 'decimal:2',
        'normalUnitPrice' => 'decimal:2',
        'discountAmount' => 'decimal:2',
        'discountPercent' => 'double',
        'avgCost' => 'decimal:2',
        'fifoCost' => 'decimal:2',
        'tax' => 'decimal:2',
        'tax1Rate' => 'decimal:2',
        'tax2Rate' => 'decimal:2',
        'displayableSubtotal' => 'decimal:2',
        'displayableUnitPrice' => 'decimal:2',
        'calcLineDiscount' => 'decimal:2',
        'calcTransactionDiscount' => 'decimal:2',
        'calcTotal' => 'decimal:2',
        'calcSubtotal' => 'decimal:2',
        'calcTax1' => 'decimal:2',
        'calcTax2' => 'decimal:2',
        'createTime' => 'datetime',
        'timeStamp' => 'datetime',
        'isWorkorder' => 'boolean',
        'isLayaway' => 'boolean',
        'isSpecialOrder' => 'boolean',
    ];

}
