<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $salePaymentID
 * @property float $amount
 * @property string $createTime
 * @property boolean $archived
 * @property string $remoteReference
 * @property string $paymentID
 * @property int $saleID
 * @property int $paymentTypeID
 * @property int $ccChargeID
 * @property int $refPaymentID
 * @property int $registerID
 * @property int $employeeID
 * @property int $creditAccountID
 * @property string $created_at
 * @property string $updated_at
 */
class SalePayment extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'sale_payment';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'salePaymentID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['salePaymentID', 'amount', 'createTime', 'archived', 'remoteReference', 'paymentID', 'saleID', 'paymentTypeID', 'ccChargeID', 'refPaymentID', 'registerID', 'employeeID', 'creditAccountID', 'created_at', 'updated_at'];

    protected $casts = [
        'createTime' => 'datetime',
        'archived' => 'boolean',
    ];
}
