<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $saleVoidID
 * @property string $createTime
 * @property string $reason
 * @property int $saleID
 * @property int $employeeID
 * @property int $shopID
 * @property string $created_at
 * @property string $updated_at
 */
class SaleVoid extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'sale_void';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'saleVoidID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['saleVoidID', 'createTime', 'reason', 'saleID', 'employeeID', 'shopID', 'created_at', 'updated_at'];

}
