<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $serializedID
 * @property string $colorName
 * @property string $sizeName
 * @property string $serial
 * @property int $itemID
 * @property int $saleLineID
 * @property int $customerID
 * @property string $timeStamp
 * @property string $created_at
 * @property string $updated_at
 */
class Serialized extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'serialized';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'serializedID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['serializedID', 'colorName', 'sizeName', 'serial', 'itemID', 'saleLineID', 'customerID', 'timeStamp', 'created_at', 'updated_at'];

}
