<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $shopID
 * @property string $name
 * @property float $serviceRate
 * @property string $timeZone
 * @property boolean $taxLabor
 * @property string $labelTitle
 * @property boolean $labelMsrp
 * @property boolean $archived
 * @property int $contactID
 * @property int $taxCategoryID
 * @property int $receiptSetupID
 * @property int $ccGatewayID
 * @property int $priceLevelID
 * @property string $created_at
 * @property string $updated_at
 */
class Shop extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'shop';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'shopID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['shopID', 'name', 'serviceRate', 'timeZone', 'taxLabor', 'labelTitle', 'labelMsrp', 'archived', 'contactID', 'taxCategoryID', 'receiptSetupID', 'ccGatewayID', 'priceLevelID', 'created_at', 'updated_at'];

}
