<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $specialOrderID
 * @property int $unitQuantity
 * @property boolean $contacted
 * @property boolean $completed
 * @property int $customerID
 * @property int $shopID
 * @property int $saleLineID
 * @property int $orderLineID
 * @property int $transferItemID
 * @property string $created_at
 * @property string $updated_at
 */
class SpecialOrder extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'special_order';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'specialOrderID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['specialOrderID', 'unitQuantity', 'contacted', 'completed', 'customerID', 'shopID', 'saleLineID', 'orderLineID', 'transferItemID', 'created_at', 'updated_at'];

}
