<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $tagID
 * @property string $name
 * @property string $created_at
 * @property string $updated_at
 */
class Tag extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'tag';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'tagID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['tagID', 'name', 'created_at', 'updated_at'];

}
