<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $taxCategoryID
 * @property boolean $isTaxInclusive
 * @property string $tax1Name
 * @property string $tax2Name
 * @property float $tax1Rate
 * @property float $tax2Rate
 * @property string $created_at
 * @property string $updated_at
 */
class TaxCategory extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'tax_category';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'taxCategoryID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['taxCategoryID', 'isTaxInclusive', 'tax1Name', 'tax2Name', 'tax1Rate', 'tax2Rate', 'created_at', 'updated_at'];

}
