<?php


namespace App\Models\Traits;


use App\Models\Workorder;
use App\Models\WorkorderItem;

trait AttributeCreate
{
    public static function getFillableFields()
    {
        $me = new self();
        return $me->fillable;
    }

    public static function getPrimary() {
        $me = new self();
        return $me->primaryKey;
    }


    public static function attrUpsert($fieldArray) {
        return self::attrUpdateOrCreate(self::getPrimary(), self::getFillableFields(), $fieldArray);
    }

    public static function attrUpdateOrCreate($primaryKey, $cols, $fieldArray) {
        $attributes = [];
        if (!is_array($fieldArray))
            $fieldArray = (array) $fieldArray;
        foreach ($cols as $c) {
            if (array_key_exists($c, $fieldArray))
                $attributes[$c] = $fieldArray[$c];
        }
        $where = [];
        if (is_array($primaryKey)) {
            foreach ($primaryKey as $pk) {
                if (is_array($pk)) {
                    foreach ($pk as $k => $v) {
                        $where[$k] = $v;
                    }
                } else {
                    $where[$pk] = $fieldArray[$pk];
                }
            }
        } else {
            $where = [
                $primaryKey => $fieldArray[$primaryKey]
            ];
        }
        return self::updateOrCreate($where, $attributes);
    }
}
