<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $transferID
 * @property boolean $sent
 * @property boolean $received
 * @property int $note
 * @property boolean $archived
 * @property int $transferFromID
 * @property int $transferToID
 * @property int $orderID
 * @property string $timeStamp
 * @property string $created_at
 * @property string $updated_at
 */
class Transfer extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'transfer';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'transferID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['transferID', 'sent', 'received', 'note', 'archived', 'transferFromID', 'transferToID', 'orderID', 'timeStamp', 'created_at', 'updated_at'];

}
