<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $transferItemID
 * @property int $toSend
 * @property int $toReceive
 * @property int $sent
 * @property int $received
 * @property float $sentValue
 * @property float $receivedValue
 * @property string $comment
 * @property int $transferID
 * @property int $itemID
 * @property string $timeStamp
 * @property string $created_at
 * @property string $updated_at
 */
class TransferItem extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'transfer_item';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'transferItemID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['transferItemID', 'toSend', 'toReceive', 'sent', 'received', 'sentValue', 'receivedValue', 'comment', 'transferID', 'itemID', 'timeStamp', 'created_at', 'updated_at'];

}
