<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $vendorID
 * @property string $name
 * @property boolean $archived
 * @property string $accountNumber
 * @property string $priceNumber
 * @property boolean $updatePrice
 * @property boolean $updateCost
 * @property boolean $updateDescription
 * @property boolean $shareSellThrough
 * @property string $timeStamp
 * @property int $contactID
 * @property string $created_at
 * @property string $updated_at
 */
class Vendor extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'vendor';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'vendorID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['vendorID', 'name', 'archived', 'accountNumber', 'priceNumber', 'updatePrice', 'updateCost', 'updateDescription', 'shareSellThrough', 'timeStamp', 'contactID', 'created_at', 'updated_at'];

}
