<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use App\Models\Traits\BoolStringConverter;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $workorderItemID
 * @property boolean $approved
 * @property float $unitPrice
 * @property int $unitQuantity
 * @property boolean $warranty
 * @property boolean $tax
 * @property boolean $isSpecialOrder
 * @property string $note
 * @property int $workorderID
 * @property int $employeeID
 * @property int $saleLineID
 * @property int $saleID
 * @property int $itemID
 * @property int $discountID
 * @property string $timeStamp
 * @property string $created_at
 * @property string $updated_at
 */
class WorkorderItem extends Model
{
    use AttributeCreate, BoolStringConverter;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'workorder_item';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'workorderItemID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['workorderItemID', 'approved', 'unitPrice', 'unitQuantity', 'warranty', 'tax', 'isSpecialOrder', 'note', 'workorderID', 'employeeID', 'saleLineID', 'saleID', 'itemID', 'discountID', 'timeStamp', 'created_at', 'updated_at'];
    protected $casts = [
        'timeStamp' => 'datetime',
        'approved' => 'boolean',
        'warranty' => 'boolean',
        'tax' => 'boolean',
        'isSpecialOrder' => 'boolean'
    ];
    public function getApprovedAttribute($value) {
        return $this->convertBoolString($value);
    }

    public function getWarrantyAttribute($value) {
        return $this->convertBoolString($value);
    }

    public function getTaxAttribute($value) {
        return $this->convertBoolString($value);
    }

}
