<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use App\Models\Traits\BoolStringConverter;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $workorderLineID
 * @property string $note
 * @property string $timeStamp
 * @property int $hours
 * @property int $minutes
 * @property float $unitPriceOverride
 * @property int $unitQuantity
 * @property float $unitCost
 * @property boolean $done
 * @property boolean $approved
 * @property boolean $warranty
 * @property boolean $tax
 * @property int $workorderID
 * @property int $employeeID
 * @property int $saleLineID
 * @property int $saleID
 * @property int $itemID
 * @property int $discountID
 * @property int $taxClassID
 * @property string $created_at
 * @property string $updated_at
 */
class WorkorderLine extends Model
{
    use AttributeCreate, BoolStringConverter;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'workorder_line';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'workorderLineID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['workorderLineID', 'note', 'timeStamp', 'hours', 'minutes', 'unitPriceOverride', 'unitQuantity', 'unitCost', 'done', 'approved', 'warranty', 'tax', 'workorderID', 'employeeID', 'saleLineID', 'saleID', 'itemID', 'discountID', 'taxClassID', 'created_at', 'updated_at'];
    protected $casts = [
        'timeStamp' => 'datetime',
        'done' => 'boolean',
        'approved' => 'boolean',
        'warranty' => 'boolean',
        'tax' => 'boolean'
    ];
    public function getDoneAttribute($value) {
        return $this->convertBoolString($value);
    }

    public function getApprovedAttribute($value) {
        return $this->convertBoolString($value);
    }

    public function getWarrantyAttribute($value) {
        return $this->convertBoolString($value);
    }

    public function getTaxAttribute($value) {
        return $this->convertBoolString($value);
    }

}
