<?php

namespace App\Models;

use App\Models\Traits\AttributeCreate;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $workorderStatusID
 * @property string $name
 * @property string $sortOrder
 * @property string $htmlColor
 * @property string $systemValue
 * @property string $created_at
 * @property string $updated_at
 */
class WorkorderStatus extends Model
{
    use AttributeCreate;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'workorder_status';

    /**
     * The primary key for the model.
     *
     * @var string
     */
    protected $primaryKey = 'workorderStatusID';

    /**
     * Indicates if the IDs are auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * @var array
     */
    protected $fillable = ['workorderStatusID', 'name', 'sortOrder', 'htmlColor', 'systemValue', 'created_at', 'updated_at'];

}
