<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWorkorders extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('workorder', function (Blueprint $table) {
            $table->integer('workorderID');
            $table->dateTime('timeIn')->nullable(true);
            $table->dateTime('etaOut')->nullable(true);
            $table->text('note')->nullable(true);
            $table->boolean('warranty')->nullable(true);
            $table->dateTime('timeDone')->nullable(true);
            $table->boolean('tax')->nullable(true);
            $table->boolean('archived')->nullable(true);
            $table->text('hookIn')->nullable(true);
            $table->text('hookOut')->nullable(true);
            $table->boolean('saveParts')->nullable(true);
            $table->boolean('assignEmployeeToAll')->nullable(true);
            $table->integer('customerID')->nullable(true);
            $table->integer('discountID')->nullable(true);
            $table->integer('employeeID')->nullable(true);
            $table->integer('serializedID')->nullable(true);
            $table->integer('shopID')->nullable(true);
            $table->integer('saleID')->nullable(true);
            $table->integer('saleLineID')->nullable(true);
            $table->integer('workorderStatusID')->nullable(true);
            $table->text('internalNote')->nullable(true);
            $table->bigInteger('systemSku')->nullable(true);
            $table->dateTime('timeStamp');
            $table->primary('workorderID');
            $table->timestamps();
        });

        Schema::create('workorder_line', function(Blueprint $table) {
            $table->integer('workorderLineID');
            $table->text('note')->nullable(true);
            $table->dateTime('timeStamp')->nullable(true);
            $table->integer('hours')->nullable(true);
            $table->integer('minutes')->nullable(true);
            $table->float('unitPriceOverride')->nullable(true);
            $table->integer('unitQuantity')->nullable(true);
            $table->float('unitCost')->nullable(true);
            $table->boolean('done')->nullable(true);
            $table->boolean('approved')->nullable(true);
            $table->boolean('warranty')->nullable(true);
            $table->boolean('tax')->nullable(true);
            $table->integer('workorderID')->nullable(true);
            $table->integer('employeeID')->nullable(true);
            $table->integer('saleLineID')->nullable(true);
            $table->integer('saleID')->nullable(true);
            $table->integer('itemID')->nullable(true);
            $table->integer('discountID')->nullable(true);
            $table->integer('taxClassID')->nullable(true);

            $table->primary('workorderLineID');
            $table->timestamps();
        });

        Schema::create('workorder_item', function (Blueprint $table) {
            $table->integer('workorderItemID');
            $table->boolean('approved')->nullable(true);
            $table->float('unitPrice')->nullable(true);
            $table->integer('unitQuantity')->nullable(true);
            $table->boolean('warranty')->nullable(true);
            $table->boolean('tax')->nullable(true);
            $table->boolean('isSpecialOrder')->nullable(true);
            $table->text('note')->nullable(true);
            $table->integer('workorderID')->nullable(true);
            $table->integer('employeeID')->nullable(true);
            $table->integer('saleLineID')->nullable(true);
            $table->integer('saleID')->nullable(true);
            $table->integer('itemID')->nullable(true);
            $table->integer('discountID')->nullable(true);
            $table->dateTime('timeStamp')->nullable(true);

            $table->primary('workorderItemID');
            $table->timestamps();
        });

        Schema::create('workorder_status', function (Blueprint $table) {
            $table->integer('workorderStatusID');
            $table->text('name')->nullable(true);
            $table->string('sortOrder')->nullable(true);
            $table->string('htmlColor')->nullable(true);
            $table->string('systemValue')->nullable(true);

            $table->primary('workorderStatusID');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('workorderStatus');
        Schema::dropIfExists('workorderItem');
        Schema::dropIfExists('workorderLine');
        Schema::dropIfExists('workorders');
    }
}
