<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrders extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->integer('orderID');
            $table->timestamp('orderedDate')->nullable(true);
            $table->timestamp('receivedDate')->nullable(true);
            $table->timestamp('arrivalDate')->nullable(true);
            $table->string('refNum')->nullable(true);
            $table->integer('shipInstructions')->nullable(true);
            $table->integer('stockInstructions')->nullable(true);
            $table->float('shipCost')->nullable(true);
            $table->float('otherCost')->nullable(true);
            $table->boolean('complete')->nullable(true);
            $table->boolean('archived')->nullable(true);
            $table->float('discount')->nullable(true);
            $table->float('totalDiscount')->nullable(true);
            $table->integer('totalQuantity')->nullable(true);
            $table->integer('vendorID')->nullable(true);
            $table->integer('noteID')->nullable(true);
            $table->integer('shopID')->nullable(true);

            $table->primary('orderID');
            $table->timestamps();
        });

        Schema::create('order_line', function(Blueprint $table) {
            $table->integer('orderLineID');
            $table->integer('quantity')->nullable(true);
            $table->float('price')->nullable(true);
            $table->float('originalPrice')->nullable(true);
            $table->integer('checkedIn')->nullable(true);
            $table->integer('numReceived')->nullable(true);
            $table->integer('orderID')->nullable(true);
            $table->integer('itemID')->nullable(true);
            $table->timestamp('timeStamp')->nullable(true);
            $table->float('total')->nullable(true);

            $table->primary('orderLineID');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
