<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmployees extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('employee', function(Blueprint $table) {
            $table->integer('employeeID');
            $table->text('firstName')->nullable(true);
            $table->text('lastName')->nullable(true);
            $table->boolean('lockOut')->nullable(true);
            $table->boolean('archived')->nullable(true);
            $table->integer('contactID')->nullable(true);
            $table->integer('clockInEmployeeHoursID')->nullable(true);
            $table->integer('employeeRoleID')->nullable(true);
            $table->integer('limitToShopID')->nullable(true);
            $table->integer('lastShopID')->nullable(true);
            $table->integer('lastSaleID')->nullable(true);
            $table->integer('lastRegisterID')->nullable(true);

            $table->primary('employeeID');
            $table->timestamps();
        });

        Schema::create('employee_hours', function(Blueprint $table) {
            $table->integer('employeeHoursID');
            $table->timestamp('checkIn')->nullable(true);
            $table->timestamp('checkOut')->nullable(true);
            $table->integer('employeeID')->nullable(true);
            $table->integer('shopID')->nullable(true);

            $table->primary('employeeHoursID');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('employees');
    }
}
