<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCustomers extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        Schema::create('customer', function (Blueprint $table) {
            $table->integer('customerID');
            $table->text('firstName')->nullable(true);
            $table->text('lastName')->nullable(true);
            $table->dateTime('dob')->nullable(true);
            $table->boolean('archived')->nullable(true);
            $table->string('title')->nullable(true);
            $table->string('company')->nullable(true);
            $table->string('companyRegistrationNumber')->nullable(true);
            $table->string('vatNumber')->nullable(true);
            $table->timestamp('createTime')->nullable(true);
            $table->timestamp('timeStamp')->nullable(true);
            $table->integer('creditAccountID')->nullable(true);
            $table->integer('customerTypeID')->nullable(true);
            $table->integer('discountID')->nullable(true);
            $table->integer('taxCategoryID')->nullable(true);

            $table->primary('customerID');
            $table->timestamps();
        });

        Schema::create('customer_type', function (Blueprint $table) {
            $table->integer('customerTypeID');
            $table->text('name')->nullable(true);
            $table->integer('taxCategoryID')->nullable(true);
            $table->integer('discountID')->nullable(true);

            $table->primary('customerTypeID');
            $table->timestamps();
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('customers');
    }
}
