<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRegister extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('register', function (Blueprint $table) {
            $table->integer('registerID');
            $table->text('name')->nullable(true);
            $table->boolean('open')->nullable(true);
            $table->timestamp('openTime')->nullable(true);
            $table->integer('openEmployeeID')->nullable(true);
            $table->integer('shopID')->nullable(true);

            $table->primary('registerID');
            $table->timestamps();
        });

        Schema::create('register_count', function (Blueprint $table) {
            $table->integer('registerCountID');
            $table->timestamp('createTime')->nullable(true);
            $table->timestamp('openTime')->nullable(true);
            $table->text('notes')->nullable(true);
            $table->integer('registerID')->nullable(true);
            $table->integer('openEmployeeID')->nullable(true);
            $table->integer('closeEmployeeID')->nullable(true);

            $table->primary('registerCountID');
            $table->timestamps();
        });

        Schema::create('register_count_amount', function (Blueprint $table) {
            $table->integer('registerCountAmountID');
            $table->float('calculated')->nullable(true);
            $table->float('actual')->nullable(true);
            $table->integer('registerCountID')->nullable(true);
            $table->integer('paymentTypeID')->nullable(true);

            $table->primary('registerCountAmountID');
            $table->timestamps();
        });

        Schema::create('register_withdraw', function (Blueprint $table) {
            $table->integer('registerWithdrawID');
            $table->float('amount')->nullable(true);
            $table->timestamp('createTime')->nullable(true);
            $table->text('notes')->nullable(true);
            $table->integer('employeeID')->nullable(true);
            $table->integer('paymentTypeID')->nullable(true);
            $table->integer('registerID')->nullable(true);

            $table->primary('registerWithdrawID');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('register');
    }
}
