<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateContact extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contact', function (Blueprint $table) {
            $table->integer('contactID');
            $table->string('custom');
            $table->boolean('noEmail');
            $table->boolean('noPhone');
            $table->boolean('noMail');
            $table->integer('customerID');

            $table->primary('contactID');
            $table->index('customerID');
            $table->timestamps();
        });

        Schema::create('contact_phone', function (Blueprint $table) {
            $table->integer('customerID');
            $table->integer('contactID');
            $table->string('number');
            $table->string('useType');
            $table->primary(['customerID', 'contactID', 'useType']);
            $table->timestamps();
        });

        Schema::create('contact_address', function (Blueprint $table) {
            $table->integer('contactID');
            $table->integer('customerID');
            $table->text('address1');
            $table->text('address2');
            $table->string('city');
            $table->string('state');
            $table->string('zip');
            $table->string('country');
            $table->string('countryCode');
            $table->string('stateCode');

            $table->primary(['contactID', 'customerID']);
            $table->timestamps();
        });

        Schema::create('contact_email', function (Blueprint $table) {
            $table->integer('customerID');
            $table->integer('contactID');
            $table->string('address');
            $table->string('useType');
            $table->primary(['customerID', 'contactID', 'useType']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contact');
    }
}
